
QGIS Application - Bug report #20507

Crash when deleting column in attribute table

2018-11-15 03:39 PM - David Armes

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:3.0.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28327

Description

User Feedback

I was deleting column in my file, I selected 10 column I think. but It crashed

Report Details

Crash ID: 2449d0ea24eee874f0bcaacab124623c5c2a6d2b

Stack Trace

QgsField::QgsField :

QgsFields::field :

QgsAttributeForm::updateJoinedFields :

QgsAttributeForm::onAttributeChanged :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsTextEditWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsTextEditWrapper::setWidgetValue :

QgsEditorWidgetWrapper::setFeature :

QgsAttributeForm::resetValues :

QgsAttributeForm::setFeature :

QgsDualView::mFeatureList_currentEditSelectionChanged :

QMetaObject::activate :

QgsFeatureListView::currentEditSelectionChanged :

QgsFeatureListView::editSelectionChanged :

QMetaObject::activate :

QItemSelectionModel::emitSelectionChanged :

QItemSelectionModel::select :

QItemSelectionModel::select :

QgsFeatureListView::ensureEditSelection :

QMetaObject::activate :

QAbstractItemModel::modelReset :

QMetaObject::activate :

QAbstractItemModel::endResetModel :

QSortFilterProxyModel::`default constructor closure' :

QMetaObject::activate :

QAbstractItemModel::endResetModel :

QgsAttributeTableModel::loadLayer :

QMetaObject::activate :

QMetaObject::activate :

QgsVectorLayer::updateFields :

QgsVectorLayerUndoCommandDeleteAttribute::redo :

QUndoStack::push :
QgsVectorLayerEditBuffer::deleteAttribute :

QgsVectorLayer::deleteAttribute :

QgsVectorLayer::deleteAttributes :

QgsAttributeTableDialog::mActionRemoveAttribute_triggered :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyBytes_Resize :

PyObject_Call :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :
qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.3-Girona

QGIS code revision: commit:8a899c8758

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-11-15 04:47 PM - Giovanni Manghi

- Project changed from QGIS Redmine (QGIS bug tracker) to QGIS Application

- Status changed from Open to Feedback

- Category changed from Any to Vectors

- Easy fix? set to No

- Regression? set to No

- Crashes QGIS or corrupts data set to Yes

- Affected QGIS version set to 3.0.3

- Priority changed from Normal to High

try 3.4.1

Try with a clean/new profile.

#2 - 2019-01-15 04:10 AM - Nyall Dawson

- Status changed from Feedback to Closed

- Resolution set to no timely feedback
